View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
09706Bug reportsInstallationpublic2015-07-24 11:44
Reportergmambro Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version2.06+ 
Fixed in Version2.06+ 
Summary09706: Undocumented changed in PHP version required for Limesurvey 2.06 150612
DescriptionThe PHP version test in index.php requires 5.4.0 instead of 5.3.0, however in docs/release_notes.txt is still stated
"PHP 5.3.0 or later with the following modules/libraries enabled:"
Steps To ReproduceCompare https://github.com/LimeSurvey/LimeSurvey/blob/master/index.php#L176 with
https://github.com/LimeSurvey/LimeSurvey/blob/master/docs/release_notes.txt#L18
Additional InformationUsers running CentOS/RHEL 6 cannot update to 2.06 150612
TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3ec16d10d6605a77cdcbbe8acd92
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionany
Server OS (if known)any
Webserver software & version (if known)any
PHP Version5.3.x

Relationships

related to 09766 closedDenisChenu Blank page when trying to initialise tokens & when trying to use the plugin manager 

Activities

c_schmitz

c_schmitz

2015-06-24 15:02

administrator   ~32498

Thank you.
c_schmitz

c_schmitz

2015-06-24 15:52

administrator   ~32500

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=15489
c_schmitz

c_schmitz

2015-06-24 15:54

administrator   ~32501

We lowered requirements so it only need 5.3 again with next build.
gmambro

gmambro

2015-06-25 16:28

reporter   ~32514

I still get syntax errors on my Centos6 box. Please refer to pull request #334
c_schmitz

c_schmitz

2015-06-25 19:12

administrator   ~32518

Very much appreciated - thank you!
c_schmitz

c_schmitz

2015-06-29 11:11

administrator   ~32548

Version 2.06+ Build 150629 released.
DenisChenu

DenisChenu

2015-07-02 08:48

developer   ~32594

Reopen for https://github.com/LimeSurvey/LimeSurvey/commit/c90606ec2221efc1f86fcfa90d105cce52b33bc8

Fixed but not closed (wait for release ;) )
c_schmitz

c_schmitz

2015-07-24 11:44

administrator   ~32786

Version 2.06 Build 150723 released

Related Changesets

LimeSurvey: master 848dbdf3

2015-06-24 13:01:59

c_schmitz

Details Diff
Fixed issue 09706: Wrong minimum PHP version in release notes Affected Issues
09706
mod - docs/release_notes.txt Diff File

LimeSurvey: master 2f27d2c4

2015-06-24 13:52:32

c_schmitz

Details Diff
Fixed issue 09706: Wrong minimum PHP version in installer Affected Issues
09706
mod - application/core/db/MssqlSchema.php Diff File
mod - application/core/db/MysqlSchema.php Diff File
mod - application/core/db/PgsqlSchema.php Diff File
rm - application/core/db/SmartColumnTypeTrait.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/libraries/PluginManager/PluginManager.php Diff File
mod - application/models/Token.php Diff File
mod - docs/release_notes.txt Diff File
mod - index.php Diff File

LimeSurvey: master c90606ec

2015-06-30 13:55:23

gab79

Details Diff
Fixed issue 09706: Wrong minimum PHP version in installer Affected Issues
09706
mod - application/models/Token.php Diff File

Issue History

Date Modified Username Field Change
2015-06-22 14:14 gmambro New Issue
2015-06-24 14:59 c_schmitz Assigned To => c_schmitz
2015-06-24 14:59 c_schmitz Status new => assigned
2015-06-24 15:02 c_schmitz Note Added: 32498
2015-06-24 15:02 c_schmitz Status assigned => resolved
2015-06-24 15:02 c_schmitz Fixed in Version => 2.06+
2015-06-24 15:02 c_schmitz Resolution open => fixed
2015-06-24 15:04 c_schmitz Changeset attached => LimeSurvey master 848dbdf3
2015-06-24 15:17 c_schmitz Status resolved => assigned
2015-06-24 15:52 c_schmitz Changeset attached => LimeSurvey master 2f27d2c4
2015-06-24 15:52 c_schmitz Note Added: 32500
2015-06-24 15:54 c_schmitz Note Added: 32501
2015-06-24 15:54 c_schmitz Status assigned => resolved
2015-06-25 16:28 gmambro Note Added: 32514
2015-06-25 19:12 c_schmitz Note Added: 32518
2015-06-29 11:11 c_schmitz Note Added: 32548
2015-06-29 11:11 c_schmitz Status resolved => closed
2015-07-02 08:48 DenisChenu Changeset attached => LimeSurvey master c90606ec
2015-07-02 08:48 DenisChenu Note Added: 32594
2015-07-02 08:48 DenisChenu Status closed => feedback
2015-07-02 08:48 DenisChenu Resolution fixed => reopened
2015-07-02 08:48 DenisChenu Status feedback => resolved
2015-07-02 08:48 DenisChenu Resolution reopened => fixed
2015-07-17 10:57 DenisChenu Relationship added related to 09766
2015-07-24 11:44 c_schmitz Note Added: 32786
2015-07-24 11:44 c_schmitz Status resolved => closed